Problemy Google Analytics Prestashop 1.7

Problemy z podwójnie wywoływanym kodem Google Analytics i zerowym współczynnikiem odrzuceń w Prestashop 1.7

Jeżeli współczynnik odrzuceń w Google Analytics dla Twojego sklepu internetowego na Prestashop 1.7 wynosi 0 to ten wpis jest właśnie dla Ciebie. Zerowy współczynnik odrzuceń jest prawdopodobnie symptomem dość ciekawego problemu z oficjalnym modułem GA w sklepach od wersji 1.7. Konkretnie mamy tu na myśli podwójne wywoływanie zapytania pageview.

Oczywiście, jeżeli zapytanie pageview będzie realnie wywoływane dwukrotnie to Google Analytics przywita cię radosnym współczynnikiem odrzuceń na poziomie 0.

Zacznijmy od podstawowej diagnostyki, czyli najpierw sprawdzamy czy to zapytanie jest wywoływane dwukrotnie – możemy to zrobić przy pomocy bezpłatnego rozszerzenia Google Tag Assistant w przeglądarce Google Chrome (Tag Assistant (by Google)):

Same web property ID is tracked twice – zwiastun problemów z analityką


Jak widać narzędzie wskazało na problem z GA (kolor pomarańczowy), powodem problemu jest śledzenie dwa razy zdarzeń ze względu na podwójne wywołanie zapytania pageview.

Okazuje się, że część kodu modułu ps_googleanalytics odpowiedzialnego za wywoływanie tego zapytania działa nieprawidłowo i zapytanie jest wywoływane podwójnie.

Po zbadaniu ścieżki aktualizacyjnej modułu ps_googleanalytics okazuje się, że problem dotyczy wersji 3.2.0.

Najbardziej trywialnym rozwiązaniem będzie więc po prostu pobranie modułu w wersji 3.1.3 i zainstalowanie go ponownie w formie aktualizacji wstecznej.

Jest to doraźne rozwiązanie problemu.

Moduł w wersji 3.1.3 możesz pobrać tutaj.

Wystarczy, że zainstalujesz go w sposób tradycyjny, tzn. sekcja Moduły -> Wybrane -> Załaduj moduł i wrzucamy archiwum z modułem.

Na sam koniec, testujemy prawidłowe działanie aktualizacji wstecznej, odświeżamy stronę główną sklepu i sprawdzamy wskazania narzędzia Google Tag Assistant.

Google Tag Assistant – kod GA działa w sposób prawidłowy


Jak widać wszystko jest już w najlepszym porządku. Pozostaje oczekiwać na wydanie prawidłowej łatki aktualizacyjnej, która rozwiąże ten błąd.

Problem można również rozwiązać nadpisaniem modułu ps_googleanalytics dostępnym tutaj.

Dodaj komentarz

Twój adres email nie zostanie opublikowany. Pola, których wypełnienie jest wymagane, są oznaczone symbolem *

Przewiń do góry